{ config, lib, pkgs, ... }:
let

in
{
  imports = [ ../default.nix ];

    mobile = {
    beautification = {
      silentBoot = lib.mkDefault true;
      splash = lib.mkDefault true;
    };
    boot.stage-1 = {
      kernel.useStrictKernelConfig = true;
      networking.enable = true;
    };
  };

  #services.openssh.enable = true;
  services.xserver.desktopManager.phosh = {
    enable = true;
    user = "stitchynyan";
    group = "users";
  };

  #services.xserver.desktopManager.plasma5 = {
  # enable = true;
  # mobile.enable = true;
  #};

  programs.firefox.enable = true;
  programs.calls.enable = true;

  hardware = { 
    bluetooth.enable = true;
    sensor.iio.enable = true;
  };
  
  networking.networkmanager.unmanaged = [ "rndis0" "usb0" ];

  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
    "oneplus-sdm845-firmware"
    "oneplus-sdm845-firmware-xz"
  ];
  system.stateVersion = "23.11";
}
